com.alarmpoint.integrationagent.apxml

## Enum APXMLToken.Type

- java.lang.Object
- - java.lang.Enum<APXMLToken.Type>
  - - com.alarmpoint.integrationagent.apxml.APXMLToken.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<APXMLToken.Type>
  Enclosing interface:
    APXMLToken

      public static enum APXMLToken.Type
      extends java.lang.Enum<APXMLToken.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO`
    `NUMERIC`
    `STRING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static APXMLToken.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static APXMLToken.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUTO

          public static final APXMLToken.Type AUTO

    - #### STRING

          public static final APXMLToken.Type STRING

    - #### NUMERIC

          public static final APXMLToken.Type NUMERIC

  - ### Method Detail

    - #### values

          public static APXMLToken.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (APXMLToken.Type c : APXMLToken.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static APXMLToken.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null